Subject: [GIT PULL 9/9] ARM: tegra: Default configuration updates for v4.3-rc1

From: [email-masked] (Kevin Hilman)
Date: Fri, 11 Sep 2015 10:08:06 -0700

Thierry Reding <[email-masked]> writes:

> On Fri, Sep 11, 2015 at 05:59:48PM +0200, Thierry Reding wrote:
>> On Fri, Sep 11, 2015 at 04:51:49PM +0100, Jon Hunter wrote:
>> > 
>> > On 11/09/15 14:25, Thierry Reding wrote:
>> > 
>> > [snip]
>> > 
>> > > Works for me 100% of the time. Unloading and reloading isn't a problem
>> > > either. What revision of the Jetson TK1 do you have? Mine is a C.2
>> > 
>> > Unfortunately, I am not sure it is whatever is in Paul's automation rig
>> > [0]. However, I have also reproduced this on a tegra124 nyan-big in the
>> > office.
>> 
>> I was able to reproduce this using a busybox initial ramdisk. Just to
>> make sure I built a separate one from git and it exposes the same
>> behaviour. I suspect that this is some sort of weird interaction between
>> mdev and async probing and nobody's noticed so far because async probing
>> isn't very common (at least in the ARM world).
>> 
>> I'll be off for the weekend soonish, but I'll try to find some more time
>> next week to track this down.
>
> Before I head into the weekend, here are my findings: looks like this
> might be some sort of recursive locking problem. Here's the output with
> a lot of debug messages:

FWIW, in kernelci we use a buildroot initramfs[1] with eudev enabled for
module loading.  Before booting, modules are injected into the ramdisk
so they are loaded during boot by eudev.

The source is on github[2] and can be rebuilt using './configs/frags/build armel'

Kevin

[1] http://storage.kernelci.org/images/rootfs/buildroot/armel/
[2] https://github.com/kernelci/buildroot/tree/kernelci/2015.02